System 2.0.0.0 4.0.0.0 System.Security.Cryptography.X509Certificates.X509CertificateCollection

When an store is opened, the result is represented by an object. If you are familiar with the unmanaged Cryptographic API constructs, you can think of an as a memory store of objects.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates an empty object, which is unlike the other constructors that use certificate or collection information to create the object.

  Initializes a new instance of the class without any information.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using an object.

  An object to start the collection from.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using an array of objects.

  An array of objects.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified certificate collection.

  An object.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This method adds an object to a collection and returns the index location of the certificate.

  Adds an object to the end of the .

  The index at which the has been added.

  An X.509 certificate represented as an object.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Method isn't transactional (like documented)")
  System.Void ``

  Use this method if you have an array of objects to add to an object. The and methods process requests transactionally, so that if a single add or remove fails, the entire operation is aborted.

  Adds multiple objects in an array to the object.

  An array of objects.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Method isn't transactional (like documented)")
  System.Void ``

  Use this method if you have certificates in an object that you want to add to another object. The and methods process requests transactionally, so that if a single add or remove fails, the entire operation is aborted.

  Adds multiple objects in an object to another object.

  An object.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method performs a linear search; therefore, the average execution time is proportional to the property. That is, this method is an O() operation, where is .

  This method determines equality by calling the method.

  Determines whether the object contains a specific certificate.

  true if the contains the specified ; otherwise, false.

  The object to locate in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("only support X509ContentType.Cert")
  System.Byte[] ``

  This method supports content types that do not require a password.

  Exports X.509 certificate information into a byte array.

  X.509 certificate information in a byte array.

  A supported object.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("only support X509ContentType.Cert")
  System.Byte[] `` ``

  This method supports the following types:

  Exports X.509 certificate information into a byte array using a password.

  X.509 certificate information in a byte array.

  A supported object. A string used to protect the byte array.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Does not support X509FindType.FindByTemplateName, FindByApplicationPolicy and FindByCertificatePolicy")
  System.Security.Cryptography.X509Certificates.X509Certificate2Collection `` `` ``

  Use this method to find objects if no user interaction is needed. Use the method to allow the user to select objects.

  Note that this method can be used in a cascading or nested style, narrowing the search criteria with each call to the method.

  Searches an object using the search criteria specified by the enumeration and the object.

  An object.

  One of the values. The search criteria as an object. true to allow only valid certificates to be returned from the search; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2Enumerator

  Enumerators allow read-only access to data in the collection. Enumerators cannot be used to modify the underlying collection.

  Returns an enumerator that can iterate through a object.

  An object that can iterate through the object.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("same limitations as X509Certificate2.Import")
  System.Void ``

  This method imports a certificate in the form of a byte array into a object. This method supports the following types:

  Imports a certificate in the form of a byte array into a object.

  A byte array containing data from an X.509 certificate.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("same limitations as X509Certificate2.Import")
  System.Void ``

  This method supports the following types:

  Imports a certificate file into a object.

  The name of the file containing the certificate information.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("same limitations as X509Certificate2.Import")
  System.Void `` `` ``

  This method can be used with a PFX/PKCS12 binary large object (BLOB) protected by a password. Key containers associated with certificates in the PFX/PKCS12 BLOB can be created and the value can be used to control this process. Note that if you do not create a key container, the private key is not persisted.

  This method imports a certificate byte array into a collection of certificates. This method supports the following types:

  Imports a certificate, in the form of a byte array that requires a password to access the certificate, into a object.

  A byte array containing data from an object. The password required to access the certificate information. A bitwise combination of the enumeration values that control how and where the certificate is imported.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("same limitations as X509Certificate2.Import")
  System.Void `` `` ``

  This method can be used with a PFX/PKCS12 file or other certificate files that require a password. Key containers associated with certificates in the PFX/PKCS12 file can be created and value can be used to control this process. Note that if you do not create a key container, the private key is not persisted.

  Note that a PFX/PKCS12 file can contain more than one certificate. This method imports the first certificate associated with the private key or, if no private key is found, the first certificate found.

  This method supports the following types:

  Imports a certificate file that requires a password into a object.

  The name of the file containing the certificate information. The password required to access the certificate information. A bitwise combination of the enumeration values that control how and where the certificate is imported.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If the property already equals the capacity of the list, the capacity is doubled by automatically reallocating the internal array before the new element is inserted.

  If is equal to , is added to the end of the collection.

  Inserts an object into the object at the specified index.

  The zero-based index at which to insert . The object to insert.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method removes the first occurrence of a certificate.

  Removes the first occurrence of a certificate from the object.

  The object to be removed from the object.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Method isn't transactional (like documented)")
  System.Void ``

  Use this method if you have an array of objects to remove from an object. The and methods process requests transactionally, so that if a single add or remove fails, the entire operation is aborted.

  Removes multiple objects in an array from an object.

  An array of objects.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Method isn't transactional (like documented)")
  System.Void ``

  Use this method if you have certificates in an object that you want to remove from another object. The and methods process requests transactionally, so that if a single add or remove fails, the entire operation is aborted.

  Removes multiple objects in an object from another object.

  An object.